import { FC } from 'react';
export interface ObjectNameProps {
    readonly name: any;
    readonly dimmed?: boolean;
}
/**
 * A view for object property names.
 *
 * If the property name is enumerable (in Object.keys(object)),
 * the property name will be rendered normally.
 *
 * If the property name is not enumerable (`Object.prototype.propertyIsEnumerable()`),
 * the property name will be dimmed to show the difference.
 */
export declare const ObjectName: FC<ObjectNameProps>;
//# sourceMappingURL=object-name.d.ts.map